/* David Leonard, 2003. Public domain. */
/* $Id: CardP.h,v 1.1.1.1 2003/04/22 00:33:10 d Exp $ */

#ifndef _CardP_h
#define _CardP_h

/*
 * Card: a simple rectangle object subtyped to 
 * contain a card ID.
 */

#include <X11/Xfuncproto.h>
#include <X11/RectObjP.h>
#include "Card.h"

typedef struct {
	XtPointer		extension;
} CardClassPart;

typedef struct _CardClassRec {
	RectObjClassPart	rect_class;
	CardClassPart		card_class;
} CardClassRec;

extern CardClassRec cardClassRec;

typedef struct {
	/* resources */
	CardID			card_id;
} CardPart;

typedef struct _CardRec {
	ObjectPart		object;
	RectObjPart		rectangle;
	CardPart		card;
} CardRec;

#endif _CardP_h
