.\" $Id: xsolitaire.man,v 1.2 2003/04/27 15:09:27 d Exp $
.\" David Leonard, 2003. Public domain.
.TH XSOLITAIRE 1
.SH NAME
xsolitaire \- Solitaire card game
.SH SYNOPSIS
.B xsolitaire
[\-toolkitoption ... ]
.SH DESCRIPTION
.I Xsolitaire
is a clone of Microsoft's Solitaire game, but for X.
.SH GAMEPLAY
Briefly, the object of
.B xsolitaire
is to obtain four ordered
suits of cards at the top right, beginning with the aces and finishing
with the kings. Cards in the 'play' zone at the bottom can only be
moved onto other cards if their face values are adjacent and their
suit colours alternate. (e.g. a black 8 can only be placed on a red 9).
The draw pile at the top left may be 'hit' to obtain cards in groups of three,
of which the top card may be used.
.SH BUGS
Double-clicking on a card does not automatically move it to a
suit stack. Try using the spacebar instead.
.PP
If you have trouble with it loading the card pixmaps, try running it
with the explicit pixmap directory name:
.PP
	xsolitaire -xrm '*pixmapFilePath: /path/to/pixmaps'
.PP
The card animation that occurs when you win a game is pretty sad.
.SH "SEE ALSO"
X(1), X Toolkit documentation
.SH AUTHOR
David Leonard
